import adapter from '@sveltejs/adapter-node';
import { vitePreprocess } from '@sveltejs/vite-plugin-svelte';

const config = {
  preprocess: vitePreprocess(),
  kit: {
    adapter: adapter(),
    version: {
      name: process.env.VERSION || 'development', // Use VERSION environment variable, default to 'development'
    },
  },
};

export default config;
